libzypp: zypp::target::RpmPostTransCollector Class Reference

libzypp 17.25.10

Classes | Public Member Functions | Private Attributes | Friends | Related Functions | List of all members
zypp::target::RpmPostTransCollector Class Reference

Extract and remember posttrans scripts for later execution. More...

`#include <RpmPostTransCollector.h>`

## Classes
class | Impl
| RpmPostTransCollector implementation. More...

## Public Member Functions
| RpmPostTransCollector (const Pathname &root_r)
| Default ctor. More...
| ~RpmPostTransCollector ()
| Dtor. More...
bool | collectScriptFromPackage (ManagedFile rpmPackage_r)
| Extract and remember a packages posttrans script for later execution. More...
bool | executeScripts ()
| Execute the remembered scripts. More...
void | discardScripts ()
| Discard all remembered scrips. More...

## Private Attributes
RW_pointer< Impl > | _pimpl
| Implementation class. More...

## Friends
std::ostream & | operator<< (std::ostream &str, const RpmPostTransCollector &obj)
std::ostream & | dumpOn (std::ostream &str, const RpmPostTransCollector &obj)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const RpmPostTransCollector &obj)
| Stream output. More...
std::ostream & | dumOn (std::ostream &str, const RpmPostTransCollector &obj)
| Verbose stream output. More...

## Detailed Description

Extract and remember posttrans scripts for later execution.

Todo:
  Maybe embedd this into the TransactionSteps.

Definition at line 31 of file RpmPostTransCollector.h.

## Constructor & Destructor Documentation

## ◆ RpmPostTransCollector()

zypp::target::RpmPostTransCollector::RpmPostTransCollector | ( | const Pathname & | root_r | ) |

Default ctor.

Definition at line 232 of file RpmPostTransCollector.cc.

## ◆ ~RpmPostTransCollector()

zypp::target::RpmPostTransCollector::~RpmPostTransCollector | ( |  | ) |

Dtor.

Definition at line 236 of file RpmPostTransCollector.cc.

## Member Function Documentation

## ◆ collectScriptFromPackage()

bool zypp::target::RpmPostTransCollector::collectScriptFromPackage | ( | ManagedFile | rpmPackage_r | ) |

Extract and remember a packages posttrans script for later execution.

Returns
  whether a script was collected.

Definition at line 239 of file RpmPostTransCollector.cc.

## ◆ executeScripts()

bool zypp::target::RpmPostTransCollector::executeScripts | ( |  | ) |

Execute the remembered scripts.

Returns
  false if execution was aborted by a user callback

Definition at line 242 of file RpmPostTransCollector.cc.

## ◆ discardScripts()

void zypp::target::RpmPostTransCollector::discardScripts | ( |  | ) |

Discard all remembered scrips.

Definition at line 245 of file RpmPostTransCollector.cc.

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream& operator<< | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj
| ) |  |
| friend

Definition at line 248 of file RpmPostTransCollector.cc.

## ◆ dumpOn

std::ostream& dumpOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj
| ) |  |
| friend

Definition at line 251 of file RpmPostTransCollector.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj
| ) |  |
| related

Stream output.

Definition at line 248 of file RpmPostTransCollector.cc.

## ◆ dumOn()

std::ostream & dumOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj
| ) |  |
| related

Verbose stream output.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::target::RpmPostTransCollector::_pimpl
| private

Implementation class.

Pointer to implementation.

Definition at line 60 of file RpmPostTransCollector.h.

The documentation for this class was generated from the following files:

- zypp/target/RpmPostTransCollector.h
- zypp/target/RpmPostTransCollector.cc